From b102290502a1cde85c97f4abdf9b0567db6acc22 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Fri, 17 Jul 2020 10:26:27 +0200
Subject: [PATCH v1 4/4] configure.ac: Remove _DARWIN_USE_64_BIT_INODE hack

This is no longer necessary with Autoconf 2.69b.
---
 configure                  | 1 -
 configure.ac               | 5 -----
 src/include/pg_config.h.in | 2 --
 3 files changed, 8 deletions(-)

diff --git a/configure b/configure
index 4c7da12c31..5e621f3a3f 100755
--- a/configure
+++ b/configure
@@ -15957,7 +15957,6 @@ rm -rf conftest*
   fi
 fi
 
-
 fi
 
 # The cast to long int works around a bug in the HP C Compiler
diff --git a/configure.ac b/configure.ac
index 77ee9bee87..648832804a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1592,11 +1592,6 @@ esac
 # defines can affect what is generated for that.
 if test "$PORTNAME" != "win32"; then
    AC_SYS_LARGEFILE
-   dnl Autoconf 2.69's AC_SYS_LARGEFILE believes it's a good idea to #define
-   dnl _DARWIN_USE_64_BIT_INODE, but it isn't: on macOS 10.5 that activates a
-   dnl bug that causes readdir() to sometimes return EINVAL.  On later macOS
-   dnl versions where the feature actually works, it's on by default anyway.
-   AH_VERBATIM([_DARWIN_USE_64_BIT_INODE],[])
 fi
 
 dnl Check for largefile support (must be after AC_SYS_LARGEFILE)
diff --git a/src/include/pg_config.h.in b/src/include/pg_config.h.in
index 60579cee20..dee2707cc9 100644
--- a/src/include/pg_config.h.in
+++ b/src/include/pg_config.h.in
@@ -941,8 +941,6 @@
    */
 #undef XLOG_BLCKSZ
 
-
-
 /* Number of bits in a file offset, on hosts where this is settable. */
 #undef _FILE_OFFSET_BITS
 
-- 
2.27.0

